//
//  myPoint.java
//  detectionContours
//
//  Created by Thomas Jannaud on 29/12/09.
//  Copyright 2009 Jannaud's Technical Company. All rights reserved.
//

import java.awt.Point;

public class myPoint extends Point {
	public final static int BELT = 0, CONTOURS = 1, INSIDE_BELT = 2, OUTSIDE_BELT = 3, NOT_IMPORTANT = 4;
	public static final int COMPARE_POINT = 0, COMPARE_POINT_AND_TYPE = 1;
	private static int compare_mode = COMPARE_POINT;
	public int type;
	public static void setComparator(int a) {compare_mode = a;}
	public myPoint(myPoint p) {super(p); type = p.type;}
	public myPoint(int x, int y, int typ) { super(x, y); type = typ;}
	public myPoint(int x, int y) { super(x, y); type = NOT_IMPORTANT;}
	public boolean equals(Object obj) {
		if (obj instanceof myPoint) {
			final myPoint p = (myPoint) (obj);
			if (compare_mode == COMPARE_POINT)
				return (x == p.x && y == p.y);
			else
				return (x == p.x && y == p.y && type == p.type);
		}
		else
			return false;
	}
	public int hashCode() {
		return x + 100 * y;
	}
	public boolean goodPoint(int larg, int haut) {
		return (x >= 0 && x < larg && y >= 0 && y < haut);
	}
}